Subject: Re: "cannot set time" on FAT32 - after installing cygwin-1.5.13-1
From: Jacek Piskozub <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 04 Mar 2005 12:27:50 +0100

Corinna Vinschen wrote:

> Yes, exactly.  I'm a bit surprised, though.  Can you make another test,
> please?  Something like that:
> 
> $ echo foo > foo-rw
> $ echo foo > foo-r
> $ chmod a-w foo-r
> $ touch foo-rw
> $ touch foo-r
> 
> The question is this:  Do both touch succeed or does the latter touch
> fail?  

You'll be surprised again. Both failed:

> D:\>echo foo > foo-rw
> 
> D:\>echo foo > foo-r
> 
> D:\>chmod a-w foo-r
> 
> D:\>touch foo-rw
> /usr/bin/TOUCH: setting times of `foo-rw': Permission denied
> 
> D:\>touch foo-r
> /usr/bin/TOUCH: cannot touch `foo-r': Permission denied

Same result if I start bash first.

 > Even if it not fails, could you please try strace on both calls
 > to touch and see if you can find something like the above strace
 > snippet?

Again "strace touch foo-rw" caused a kernel32.dll crash. Something is 
fundamentally f#$%ed here.

>  2168   48110 [main] touch 968493 fhandler_disk_file::utimes: incoming lastaccess 42284531 000F1B30
>   183   48293 [main] touch 968493 fhandler_base::close: closing '/cygdrive/d/mozilla_source/mozilla/foo-rw' handle 0xB8
>   118   48411 [main] touch 968493 seterrno_from_win_error: /netrel/src/cygwin-1.5.13-1/winsup/cygwin/fhandler_disk_file.cc:835 windows error 5
>   134   48545 [main] touch 968493 geterrno_from_win_error: windows error 5 == errno 13
>    97   48642 [main] touch 968493 geterrno_from_win_error: windows error 5 == errno 13
>   123   48765 [main] touch 968493 utimes: -1 = utimes (foo-rw, 0x0)

I can send the other (foo-r) snipped later. I need to reboot now (I do 
need after every 1.5.13-1 strace crash)

Jacek

-- 
Jacek Piskozub
	Institute of Oceanology PAS, Sopot, Poland
	mailto:[email-masked]
	http://water.iopan.gda.pl/~piskozub

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/